package com.mortals.xhx.module.business.model;
import java.util.List;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.business.model.vo.BusinessLicenseDatasetVo;
import com.mortals.xhx.module.business.model.BusinessLicenseInfoFieldEntity;
import lombok.Data;
/**
* 行业许可子证数据集实体对象
*
* @author zxfei
* @date 2024-07-27
*/
@Data
public class BusinessLicenseDatasetEntity extends BusinessLicenseDatasetVo {
    private static final long serialVersionUID = 1L;

    /**
    * 许可子证Id
    */
    private Long subLicenseId;
    /**
    * 行业许可子证信息字段信息
    */
    private List<BusinessLicenseInfoFieldEntity> businessLicenseInfoFieldList=new ArrayList<>();;
    public List<BusinessLicenseInfoFieldEntity> getBusinessLicenseInfoFieldList(){
      return businessLicenseInfoFieldList;
    }

    public void setBusinessLicenseInfoFieldList(List<BusinessLicenseInfoFieldEntity> businessLicenseInfoFieldList){
        this.businessLicenseInfoFieldList = businessLicenseInfoFieldList;
    }
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof BusinessLicenseDatasetEntity) {
            BusinessLicenseDatasetEntity tmp = (BusinessLicenseDatasetEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.subLicenseId = null;
    }
}