package com.mortals.xhx.module.business.service.impl;
import org.springframework.beans.BeanUtils;
import java.util.function.Function;
import org.springframework.stereotype.Service;
import com.mortals.framework.service.impl.AbstractCRUDServiceImpl;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.xhx.module.business.dao.BusinessLicenseInfoFieldDao;
import com.mortals.xhx.module.business.model.BusinessLicenseInfoFieldEntity;
import com.mortals.xhx.module.business.service.BusinessLicenseInfoFieldService;
import lombok.extern.slf4j.Slf4j;
/**
* BusinessLicenseInfoFieldService
* 行业许可子证信息字段 service实现
*
* @author zxfei
* @date 2024-07-27
*/
@Service("businessLicenseInfoFieldService")
@Slf4j
public class BusinessLicenseInfoFieldServiceImpl extends AbstractCRUDServiceImpl<BusinessLicenseInfoFieldDao, BusinessLicenseInfoFieldEntity, Long> implements BusinessLicenseInfoFieldService {
    
}